[FAQ: Which directX version should I have for FS2004 ? (Flightsim: Technical)] -- Flightsim Aviation Zone - Number 1 Flight Simulation and Aviation Resource! Information, Tools, Downloads, Databases, FAQ, Aviation Humour, Glossaries, Directory, FS2006, Multimedia, Screenshots, Free Flight Planner, Weather Reports | Aviation Databases - aircraft, airports, airlines, countries, timezones | Flight Simulator X
(x) close
  Friday 23 February 2018 10:33 GMT  

Frequently Asked Questions


FAQ > Flightsim: Technical > question #1
Q: Which directX version should I have for FS2004 ?
A: You should have version 9.0
Any previous version will absolutely not work for FS2004.
 Other questions in this category (Flightsim: Technical) :
1. Which directX version should I have for FS2004 ?
Ask a question | FAQ index page | Homepage
Top of page
add to favorites @ E-mail this! Link to this!
Top of page
© 2002-2018 - Legal | Contact | Advertise | Sitemap
Visit our $pons0rs:
hosted by 123XS || also visit: Flightsim Search & Aviation Search || Link to us!